package com.oreilly.jent.struts.library.logic;

/**
 * In general, you may use the code in this book in your programs and 
 * documentation. You do not need to contact us for permission unless 
 * you're reproducing a significant portion of the code. For example, 
 * writing a program that uses several chunks of code from this book does 
 * not require permission. Selling or distributing a CD-ROM of examples 
 * from O'Reilly books does require permission. Answering a question by 
 * citing this book and quoting example code does not require permission. 
 * Incorporating a significant amount of example code from this book into 
 * your product's documentation does require permission.
 * 
 * We appreciate, but do not require, attribution. An attribution usually 
 * includes the title, author, publisher, and ISBN. For example: 
 * 
 *   "Java Enterprise in a Nutshell, Third Edition, 
 *    by Jim Farley and William Crawford 
 *    with Prakash Malani, John G. Norman, and Justin Gehtland. 
 *    Copyright 2006 O'Reilly Media, Inc., 0-596-10142-2."
 *  
 *  If you feel your use of code examples falls outside fair use or the 
 *  permission given above, feel free to contact us at 
 *  permissions@oreilly.com.
 */

import java.util.Hashtable;

import com.oreilly.jent.struts.library.model.User;

public class UserManager {

  private static User guestUser;
  private static Hashtable users = new Hashtable();

  static {
    guestUser = new User("Guest");
    guestUser.setFullName("Guest");

    User librarian = new User("librarian");
    librarian.setLibrarian(true);
    librarian.setPassword("librarian");
    librarian.setFullName("John Librarian");
    users.put("librarian", librarian);

    User borrower = new User("Borrower");
    borrower.setBorrower(true);
    borrower.setPassword("borrower");
    borrower.setFullName("Jane Borrower");
    users.put("borrower", borrower);
  }

  public static User getGuestUser() {
    return guestUser;
  }

  public static boolean confirmLogin(String username, String password) {
    if ((username == null) || (password == null)) return false;

    User theUser = (User) users.get(username);
    if (theUser == null) return false;
    return password.equals(theUser.getPassword());
  }

  public static User getUser(String username) {
    return (User) users.get(username);
  }
}